<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Functions Demo</title>
</head>

<body>
    <script>
        function getCompaniesFromWeb(afterCompanyFetchFunction) {
            fetch('https://frogaccelerator.com:8110/companies')
                .then(function(result) { return result.json(); })
                .then(companies => afterCompanyFetchFunction(companies));
        }

        function printCompaniesToConsole(retrievedCompanies) {
            console.log(retrievedCompanies);
        }

        function advancedPrintCompaniesToConsole(retrievedCompanies) {
            console.log('Siin on hunnk lahedaid ettevõtteid:', retrievedCompanies);
        }

        const advancedPrint = advancedPrintCompaniesToConsole;
        
        const myCoolFunction = function(a, b) {
            return a + b / 2;
        }

        function myCoolFunction(a, b) {
            return a + b / 2;
        }

        // Käivitamine
        getCompaniesFromWeb(printCompaniesToConsole);
        getCompaniesFromWeb(advancedPrintCompaniesToConsole);
        getCompaniesFromWeb(advancedPrint);
    </script>
</body>

</html>